/***************************************************************************/
/* NOTE:                                                                   */
/* This document is copyright (c) by Oz Solomonovich.  All non-commercial  */
/* use is allowed, as long as this document is not altered in any way, and */
/* due credit is given.                                                    */
/***************************************************************************/

#ifndef __HELPIDS_H
#define __HELPIDS_H

// Constants 0x00000000...0x1FFFFFFF are used for popup text (for dialog/
// property page controls) and for HTML pages using the default window type 
// (context help for menu items and ShowHTMLHelp()).
// The lower ranges (0...0xFFFF) are used by command identifiers, but you can
// freely define constants in the rest of the range.
#define IDH_COPYINFO            0x10000000

// Constants 0x20000000...0x2FFFFFFF use the 'PopupTopicWnd' window type 
#define IDH_ABOUT               0x20000002

// Constants 0x30000000...0x3000FFFF use window types registered with the 
// RegisterHTMLHelpWindowType() function.  The type number is designated in 
// the lower byte of the high word, i.e. the number format is 0x30NNxxxx 
// where NN denotes the type number.  When NN == 0, the default window type 
// is used.
#define IDH_DLG_MAIN            0x30010001


// #include the application's resource header so its command IDs can be 
// processed by the HTML Help compiler
#include "..\Resource.h"

#endif // __HELPIDS_H

